Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class GuiFrame.TypeAction

    java.lang.Object
      javax.swing.AbstractAction
          pipe.gui.GuiAction
              pipe.gui.GuiFrame.TypeAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Enclosing class:
  GuiFrame

class GuiFrame.TypeAction
extends GuiAction

Nested Class Summary

Nested classes inherited from class javax.swing.AbstractAction
``

Field Summary
`private java.lang.String` | `imageFileName`
`private java.lang.String` | `selectedFileName`
`private int` | `typeID`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`(package private)` | `GuiFrame.TypeAction(java.lang.String name, int typeID, java.lang.String tooltip, java.lang.String keystroke)`
`(package private)` | `GuiFrame.TypeAction(java.lang.String name, int typeID, java.lang.String tooltip, java.lang.String keystroke, boolean toggleable)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`boolean` | `isSelected()`
`void` | `setSelected(boolean selected)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeID

    private int typeID

### imageFileName

    private java.lang.String imageFileName

### selectedFileName

    private java.lang.String selectedFileName

Constructor Detail

### GuiFrame.TypeAction

    GuiFrame.TypeAction(java.lang.String name,
                        int typeID,
                        java.lang.String tooltip,
                        java.lang.String keystroke)

### GuiFrame.TypeAction

    GuiFrame.TypeAction(java.lang.String name,
                        int typeID,
                        java.lang.String tooltip,
                        java.lang.String keystroke,
                        boolean toggleable)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

### isSelected

    public boolean isSelected()

### setSelected

    public void setSelected(boolean selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD